For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns all existing project types.
      • POSTCreates a new project type.
      • GETRetrieves all available project type icons.
      • GETRetrieves a project type by its ID.
      • PUTUpdates an existing project type.
      • POSTDeletes a project type and reassigns related projects and templates.
      • POSTArchives or unarchives the project type with the specified id.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Types

Retrieves a project type by its ID.

GET
https://api.awork.com/api/v1/projecttypes/:projectTypeId
GET
/api/v1/projecttypes/:projectTypeId
$curl https://api.awork.com/api/v1/projecttypes/projectTypeId \
> -H "Authorization: Bearer <token>"
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "name": "Brand Strategy",
4 "description": "A project to research and define a brand strategy",
5 "icon": "award",
6 "isArchived": false,
7 "isPreset": false,
8 "createdOn": "2024-01-15T09:30:00Z",
9 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
10 "updatedOn": "2024-01-15T09:30:00Z",
11 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
12}
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Updates an existing project type.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectTypeIdstringRequiredformat: "uuid"
The id of the project type.

Response

OK
idstringformat: "uuid"
The id of the type.
namestring or null
The name of the project type.
descriptionstring or null

A short (max. 140 characters) description of the project type.

iconstring or null
The identifier of the project type icon.
isArchivedboolean
Whether this type is archived. It can no longer be used to create projects, but existing projects will continue using it.
isPresetboolean
Whether this type is one of the preset types. Preset types cannot be edited.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.

Errors

404
Not Found Error